List of all members
clan::IconSet Class Reference
clanDisplay Display

Icon set class. More...

`#include <icon_set.h>`

## Public Member Functions
Construction
| IconSet ()
| Constructs an icon set. More...
Attributes
std::vector< PixelBuffer > | get_images () const
| Returns all the images in the icon set. More...
Operations
void | add_image (const PixelBuffer &image)
| Adds an image to the icon set. More...
DataBuffer | create_win32_icon ()
| Generates a Windows .ICO format icon from the set. More...

## Detailed Description

Icon set class.

The documentation for this class was generated from the following file:

- icon_set.h